#include "main.h"
//==============================================================
static led_strip_handle_t led_strip;
//==============================================================
static void blink_led(uint8_t n)
{
  uint32_t col1 = 0, col2 = 0, col3 = 0;
  if (n==0) col1=15;
  else if (n==1) col2=15;
  else if (n==2) col3=15;
  for(int i = 0; i < 48; i++)
  {
    led_strip_set_pixel(led_strip, i*3, col1, col2, col3);
    led_strip_set_pixel(led_strip, i*3 + 1, col2, col3, col1);
    led_strip_set_pixel(led_strip, i*3 + 2, col3, col1, col2);
  }
  //Refresh the strip to send data
  led_strip_refresh(led_strip);
}
//==============================================================
static void configure_led(void)
{
  led_strip_config_t strip_config = {
    .strip_gpio_num = CONFIG_LED_GPIO,
    .max_leds = 144, //at least one LED on board
  };
  led_strip_rmt_config_t rmt_config = {
    .resolution_hz = 10 * 1000 * 1000, //10MHz
  };
  ESP_ERROR_CHECK(led_strip_new_rmt_device(&strip_config, &rmt_config, &led_strip));
  //Set all LED off to clear all pixels
  led_strip_clear(led_strip);
}
//==============================================================
void app_main(void)
{
  configure_led();
  while (1) {
    for(uint8_t i=0; i<3; i++)
    {
      blink_led(i);
      vTaskDelay(100 / portTICK_PERIOD_MS);
    }
  }
}
//==============================================================
